Skip to main content
PATCH
/
v2
/
notifications
/
subscriptions
/
permissionless
/
{id}
Update a webhook subscription
curl --request PATCH \
  --url https://api.circle.com/v2/notifications/subscriptions/permissionless/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "environment": "TEST",
  "name": "Gateway Webhooks",
  "enabled": true,
  "notificationTypes": [
    "gateway.deposit.finalized",
    "gateway.mint.finalized"
  ],
  "addresses": [
    "0x1234567890abcdef1234567890abcdef12345678",
    "0xabcdef1234567890abcdef1234567890abcdef12"
  ],
  "domains": [
    "26",
    "3"
  ]
}
'
{
  "data": {
    "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
    "endpoint": "https://example.org/handler/for/notifications",
    "enabled": true,
    "notificationTypes": [
      "gateway.*"
    ],
    "restricted": false,
    "addresses": [
      "0x1234567890abcdef1234567890abcdef12345678"
    ],
    "domains": [
      "26"
    ],
    "environment": "TEST",
    "createDate": "2023-01-01T12:04:05Z",
    "updateDate": "2023-01-01T12:04:05Z",
    "name": "Gateway Webhooks"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.circle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Headers

X-Request-Id
string<uuid>

Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.

A unique identifier, which can be helpful for identifying a request when communicating with Circle support.

Example:

"2adba88e-9d63-44bc-b975-9b6ae3440dde"

Path Parameters

id
string<uuid>
required

The universally unique identifier of the resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Body

application/json

Schema for the request payload to update a subscription.

Fields to update on a subscription. Metadata fields can be updated independently. To update filters, provide notificationTypes, addresses, and domains together; those fields fully replace the existing filters when provided.

environment
enum<string>

The environment for the subscription. Use TEST to receive testnet events or LIVE to receive mainnet events.

Available options:
TEST,
LIVE
Example:

"TEST"

name
string

Name of the subscription.

Example:

"Gateway Webhooks"

enabled
boolean

Whether the subscription is enabled.

Example:

true

notificationTypes
enum<string>[]

The notification types to subscribe to. Must be provided together with addresses and domains when changing filters. Fully replaces the existing list on update.

Notification type for Gateway webhook subscriptions. Omit notificationTypes or use gateway.* to subscribe to all current and future Gateway notification types. Use individual event types to restrict delivery to specific Gateway events.

Available options:
gateway.*,
gateway.deposit.finalized,
gateway.mint.finalized,
gateway.mint.forwarded
Example:
[
"gateway.deposit.finalized",
"gateway.mint.finalized"
]
addresses
string[]

The EVM or Solana wallet addresses to monitor. Must be provided together with notificationTypes and domains when changing filters. Fully replaces the existing list on update.

Example:
[
"0x1234567890abcdef1234567890abcdef12345678",
"0xabcdef1234567890abcdef1234567890abcdef12"
]
domains
string[]

The CCTP domain identifiers. Must be provided together with notificationTypes and addresses when changing filters. Fully replaces the existing list on update.

Example:
["26", "3"]

Response

Successfully updated webhook subscription.

data
PermissionlessSubscription · object

Contains information about a permissionless webhook notification subscription.